from typing import Callable


def make_dividable_by(m: int) -> Callable[[int], bool]:
    def dividable(n: int) -> bool:
        return n % m == 0
    return dividable


if __name__ == '__main__':
    dividable_by_5 = make_dividable_by(5)
    dividable_by_10 = make_dividable_by(10)
    assert dividable_by_5(15)
    assert not dividable_by_5(3)
    assert dividable_by_10(100)
